name: Falko Sieverding
locality: 
country: Remote
role: <a href="">Customer Success Manager</a>
reports_to: tammgr-michael-le
picture: falkosieverding.jpg
pronouns: he/him
pronunciation: Phonetic Spelling:[ f ae l qu oh ] or FAHLKow
twitter:
linkedin: falko-sieverding-universalamateur
gitlab: fsieverding
departments:
  - Customer Success
specialty: "Customer Success"
expertise:
story:
